Some questions

#1
Some questions:
1. I heard that Crytek might go bankrupt soon, so will I be able to finish developing my game if I can't login anymore? What if I'm offline?
2. What is this octopus bizzare steam-like app wrapped around Cryengine? What does it do?
3. Is it possible to easily import sample menu from the earlier versions of Cryengine. If so, how do I do that?
4. Can I create physicalized 3d objects in Sandbox's 3d tool? What about the LODs?
5. Can Crytek revert to the old Sandbox UI from 2007, because the new one is super bad

I've been following Crytek since pre-FarCry times, but nowdays I don't understand what they are doing...

Re: Some questions

#3
1. Don't believe in internet lies, only place requiring a login is the CRYENGINE Launcher. You can also use the Github repo to download the engine.
2. The CRYENGINE Launcher for downloading the engine, creating projects, downloading assets from the Marketplace etc...
3. Scaleform is still used do if you have the source FLA files just use Flash.
4. Yes. A proxy is applied.
5. No becouse the new one is better. Just get used to it.

Re: Some questions

#4
catch up with unity and unreal engine,cross platform, develop editor plugin and game plugin, game sample or template, improve editor content and game development effency.
Unity's performance sucks and you have to build game save system yourself. Cryengine has it already.
1. Don't believe in internet lies, only place requiring a login is the CRYENGINE Launcher. You can also use the Github repo to download the engine.
2. The CRYENGINE Launcher for downloading the engine, creating projects, downloading assets from the Marketplace etc...
3. Scaleform is still used do if you have the source FLA files just use Flash.
4. Yes. A proxy is applied.
5. No becouse the new one is better. Just get used to it.
1. I don't need internet to understand that once Crytek or me goes offline - I'm screwed.
3. Thats not what I asked. I ask if the menu from older cryengine year 2016 is fully compatible with 5.5.1 and how do I put it back because nowdays it just launches a map and no menu
4. Yeah, but can you create rigid objects?
5. Nah it's eww

Re: Some questions

#5
Is that true? You have to be online to work with cryengine 5? That can't be, can it?
solved by lavizh - no login requirement for the sandbox
I am working with Cryengine 2 Sandbox 2 state of the art 2007 which I think is great, UI and everything else wise. Cannot compare the sandbox UI to CE 5 so I would have to choose between lavizh and Jungle with a cointoss since neither of them gives a solid reason for their contradictory opinions... :)
pending ...

reloaded-steps-dcc-retro.jpg
reloaded-steps-dcc-retro.jpg (1.89 MiB) Viewed 1057 times
Last edited by roadie on Mon Nov 05, 2018 10:31 am, edited 1 time in total.

Re: Some questions

#6
You dont require the launcher to use CE. You can download the release from Github. Sadly i think it comes without executables so you have to compile them.

The game launcher and sandbox editor does not have any login requirements.

Re: Some questions

#7
Ok my bad, most of the time you won't have to login, but I have problems with downloads on the marketplace. I added a scene to my shopping cart from the marketplace designed for "Engine Release Version 5.2". I have v5.5.1. So this means I won't be able to download it, because it's not designed for Cryengine v5.5.1?

Re: Some questions

#8
Ok my bad, most of the time you won't have to login, but I have problems with downloads on the marketplace. I added a scene to my shopping cart from the marketplace designed for "Engine Release Version 5.2". I have v5.5.1. So this means I won't be able to download it, because it's not designed for Cryengine v5.5.1?
You can download it and need to switch engine version via right click on that scene .cryproject file and click on switch engine version.It will prompt a message box and will ask change it to cryengine 5.5 and click ok to proceed.Then It will convert the scene into 5.5 version and able to open in CE5.5 version.
Vishwajith Weerasinghe

Re: Some questions

#9
Ok my bad, most of the time you won't have to login, but I have problems with downloads on the marketplace. I added a scene to my shopping cart from the marketplace designed for "Engine Release Version 5.2". I have v5.5.1. So this means I won't be able to download it, because it's not designed for Cryengine v5.5.1?
You can download it and need to switch engine version via right click on that scene .cryproject file and click on switch engine version.It will prompt a message box and will ask change it to cryengine 5.5 and click ok to proceed.Then It will convert the scene into 5.5 version and able to open in CE5.5 version.
Ehm, you mean I should downgrade my project to version 5.2 from 5.5.1 and then try if the Crylauncher would allow me to download an asset?

Re: Some questions

#10
Ok my bad, most of the time you won't have to login, but I have problems with downloads on the marketplace. I added a scene to my shopping cart from the marketplace designed for "Engine Release Version 5.2". I have v5.5.1. So this means I won't be able to download it, because it's not designed for Cryengine v5.5.1?
You can download it and need to switch engine version via right click on that scene .cryproject file and click on switch engine version.It will prompt a message box and will ask change it to cryengine 5.5 and click ok to proceed.Then It will convert the scene into 5.5 version and able to open in CE5.5 version.
Ehm, you mean I should downgrade my project to version 5.2 from 5.5.1 and then try if the Crylauncher would allow me to download an asset?
I think you can download the assets via launcher and after download the project file then switch engine version to 5.5.x .Its easier and simple.Launcher is not depending on GAMESDK version.
Vishwajith Weerasinghe

Who is online

Users browsing this forum: No registered users and 7 guests